  ::-moz-selection {
    color: white;
    text-shadow: none;
    background: #0085A1;
  }
  ::selection {
    color: white;
    text-shadow: none;
    background: #0085A1;
  }
  img::selection {
    color: white;
    background: transparent;
  }
  img::-moz-selection {
    color: white;
    background: transparent;
  }
  body {
    -webkit-tap-highlight-color: #0085A1;
    line-height: 1.5 !important;
  }
  .editor__item {
    position: relative;
    border-radius: 2px;
  }
  .editor__item.canBeDeleted {
    padding-bottom: 1px;
  }
  .editor__item [class^="editor"]:not(.editor__uploads):not(.editor__service):not(.editor__paragraph):not(.editor__container):not(.editor__gallery-delete) {
    display: none;
  }
  .admin .editor__item [class^="editor"]:not(.editor__uploads):not(.editor__service):not(.editor__paragraph):not(.editor__container):not(.editor__gallery-delete) {
    display: flex;
    align-items: center;
    line-height: 1em;
  }
  .editor__item .editor__uploads {
    display: none;
  }
  .editor__item .editor__gallery-delete {
    display: none;
  }
  .editor__item .editor__paragraph {
    display: none;
  }
  .editor__item .editor__container {
    display: none;
  }
  .editor__item .editor__service {
    display: none;
  }
  .admin .editor__item .editor__uploads {
    display: block;
  }
  .admin .editor__item .editor__gallery-delete {
    display: block;
  }
  .admin .editor__item .editor__paragraph {
    display: block;
  }

  .admin .editor__item .editor__container {
    display: block;
  }

  .admin .editor__item .editor__service {
    display: block;
  }
  .editor__item.disabled {
    display: none;
  }
  .admin .editor__item.disabled {
    opacity: 0.4;
    display: block;
  }
  .editor__item .editor__image {
    float: left;
    margin-right: 30px;
    margin-bottom: 30px;
  }
  .editor__item .editor__scale {
    float: right;
    margin-bottom: 30px;
    margin-right: 30px;
  }
  .admin .editor__item:hover {
    box-shadow: 0 0 0 2px #30cf43;
  }
  .admin .editor__item:hover .editor__uploads,
  .admin .swiper-slide:hover .editor__gallery-delete,
  .admin .editor__item:hover .editor__paragraph,
  .admin .editor__item:hover .editor__container,
  .admin .editor__item:hover .editor__service,
  .admin .editor__item:hover .editor__previews,
  .admin .editor__item:hover .editor__actions {
    opacity: .75;
  }

  .admin .editor__item .editor__uploads:hover,
  .admin .swiper-slide .editor__gallery-delete:hover,
  .admin .editor__item .editor__paragraph:hover,
  .admin .editor__item .editor__container:hover,
  .admin .editor__item .editor__service:hover,
  .admin .editor__item .editor__previews:hover,
  .admin .editor__item .editor__actions:hover {
    opacity: 1;
  }

  .editor__add .glyphicon {
    top: 0;
    left: 1px;
  }
  .editor__actions,
  .editor__previews {
    display: flex;
    flex-direction: row;
    position: absolute;
    right: 5px;
    top: 5px;
    opacity: 0;
    z-index: 20;
    -webkit-transform: translate(0, 0);
    -moz-transform: translate(0, 0);
    -ms-transform: translate(0, 0);
    -o-transform: translate(0, 0);
    transform: translate(0, 0);
  }

  .editor__actions:first-child {
    top: auto;
    bottom: 5px;
  }

  .editor__youtubeIframe {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
  }

  .editor__uploads,
  .editor__service,
  .editor__paragraph,
  .editor__container {
    position: absolute;
    left: 5px;
    bottom: 5px;
    z-index: 1;
    opacity: 0;
  }

  .cntnr--slider ~ .editor__uploads {
    left: 5px;
    top: 5px;
    bottom: auto;
  }

  .editor__gallery-delete {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    opacity: 0;
  }

  article .editor__paragraph--center {
    left: 50%;
    transform: translate(-50%, 0);
  }

  .innernews .editor__paragraph--center {
    left: auto;
    right: -50px;
  }

  .innernews .editor__paragraph--center .btn-group {
    flex-direction: column;
  }

  .innernews .editor__paragraph--center .btn-group .btn {
    border-radius: 0;
  }

  .innernews .editor__paragraph--center .btn-group>.btn:last-child {
    border-top-right-radius: 0;
    border-bottom-right-radius: 2px;
    border-bottom-left-radius: 2px;
  }

  .innernews .editor__paragraph--center .btn-group>.btn:first-child {
    border-top-right-radius: 2px;
    border-top-left-radius: 2px;
    border-bottom-left-radius: 0;
  }

  .innernews .editor__paragraph--center .btn-group>.btn:not(:first-child) {
    margin-left: 0px;
  }

  .cover-wrap + .editor__uploads {
    bottom: auto;
    top: 5px;
  }

  .editor__item .progress {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    display: block;
    height: 5px;
    background: transparent;
    box-shadow: none;
    margin-bottom: 0;
    margin-top: 30px;
    border-radius: 0;
  }
  .editor__item .progress .progress-bar {
    height: 5px;
  }

  .editor__item .cntnr>div:not(.medium-editor-element):not(.medium-editor-placeholder):not(.cover):empty {
    height: 110px;
    width: 100%;
    background-color: #eeeeee;
    position: relative;
  }

  .editor__item .cntnr>div:not(.medium-editor-element):not(.medium-editor-placeholder):not(.cover):empty:before {
    content: 'Перегляд недоступний. Елемент буде відображено на сайті.';
    text-align: center;
    display: block;
    width: 100%;
    padding: 30px;
    font-size: .75em;
    color: #666666;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  .editor__item + p:empty {
    display: none;
  }

  .editor__item .section > p:empty {
    display: none;
  }

  .collapse--fixed {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 110;
  }
  .editable:focus {
    /* background: rgba(0, 0, 0, 0.1); */
    outline: 0;
  }
  input.fileupload,
  input.galleryupload,
  input.coverupload {
    display: none;
  }
  .loader {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 10000;
    background-color: rgba(0, 0, 0, 0.7);
    display: none;
  }
  .lds-css {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    -o-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
  }
  @keyframes lds-ball {
    0%,
    100% {
      animation-timing-function: cubic-bezier(0.45, 0, 0.9, 0.55);
    }
    0% {
      -webkit-transform: translate(0, 0);
      transform: translate(0, 0);
    }
    50% {
      -webkit-transform: translate(0, 108px);
      transform: translate(0, 108px);
      animation-timing-function: cubic-bezier(0, 0.45, 0.55, 0.9);
    }
    100% {
      -webkit-transform: translate(0, 0);
      transform: translate(0, 0);
    }
  }
  @-webkit-keyframes lds-ball {
    0%,
    100% {
      animation-timing-function: cubic-bezier(0.45, 0, 0.9, 0.55);
    }
    0% {
      -webkit-transform: translate(0, 0);
      transform: translate(0, 0);
    }
    50% {
      -webkit-transform: translate(0, 108px);
      transform: translate(0, 108px);
      animation-timing-function: cubic-bezier(0, 0.45, 0.55, 0.9);
    }
    100% {
      -webkit-transform: translate(0, 0);
      transform: translate(0, 0);
    }
  }
  .lds-ball {
    position: relative;
  }
  .lds-ball div {
    position: absolute;
    width: 52px;
    height: 52px;
    border-radius: 50%;
    background: #ffffff;
    opacity: 0.7;
    left: 74px;
    top: 20px;
    -webkit-animation: lds-ball 1s linear infinite;
    animation: lds-ball 1s linear infinite;
  }
  .lds-ball {
    width: 200px !important;
    height: 200px !important;
    -webkit-transform: translate(-100px, -100px) scale(1) translate(100px, 100px);
    transform: translate(-100px, -100px) scale(1) translate(100px, 100px);
  }

  .medium-editor-element {
    line-height: 1.5;
    padding-top: 0;
  }
  

.library {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
}
.library-row {
  width: 100%;
  flex-shrink: 0;
  font-size: 1.2em;
}
.library-row:not(:first-of-type) {
  margin-top: 10px;
}
.library-col {
  width: 20%;
  min-width: 120px;
  flex-shrink: 0;
  color:rgba(0, 0, 0, 0.7);
  text-decoration: none;
}
.library-col.disabled {
  opacity: 0.45;
}

.library-col:not(.disabled):hover,
.library-col:not(.disabled):active,
.library-col:not(.disabled):focus {
  color:rgba(0, 0, 0, 0.7);
}
.library-col img {
  width: calc(100% - 10px);
  margin: 5px;
  opacity: 0.75;
  transition: all 0.3s cubic-bezier(0.39, 0.575, 0.565, 1);
}
.library-col:not(.disabled):hover img,
.library-col:not(.disabled):active img,
.library-col:not(.disabled):focus img {
  opacity: 1;
}

.library-col span:not(.library-html) {
  display: inline-block;
  margin: 0 5px;
}

.library-html {
  display: none;
}

#canvas {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 5;
}

.error {
  color: #ef6e6e !important;
}
  

.bootstrap-switch .bootstrap-switch-handle-off.bootstrap-switch-default,
.bootstrap-switch .bootstrap-switch-handle-on.bootstrap-switch-default {
  white-space: nowrap;
}

.btn-group-vertical>.btn,
.btn-group>.btn {
  line-height: 1em;
}

.grey article {
  background: #ccc;
  color: #111;
}
.dark article {
  background: #404040;
  color: #fff;
}
.black article {
  color: #fff;
  background: #111;
}

.black article a {
  color: #eaeaea;
  text-decoration: none;
  border-bottom: 2px solid #BF2626;
}

.black article a:hover {
  color: #941e1e;
}

.image[data-watermark],
#editorCover[data-watermark] {
  position: relative;
}
.image[data-watermark]:after,
#editorCover[data-watermark]:after {
    content: '';
    width: 20%;
    height: 20%;
    background-image: url('/images/watermark.png');
    background-position: center top;
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    top: 10px;
    right: 10px;
}